@font-face {
  font-family: "Montserrat";
  src: url("/fonts/Montserrat/Montserrat-VariableFont_wght.ttf") format("truetype");
  weight: 100 900;
  style: normal;
}

* {
  font-family: "montserrat";
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --midnight-blue: rgba(17, 35, 45, 1);
  --deepsea-blue: rgba(11, 53, 75, 1);
  --white: rgba(250, 253, 253, 1);
  --chalk-white: rgba(228, 231, 231, 1);
  --gold: rgba(221, 204, 114, 1);
  --accent-yellow: rgba(244, 205, 38, 1);
  --black: rgba(10, 10, 10, 1);
  --graphite: rgba(52, 53, 53, 1);
}

html {
  font-size: 16px;
}

body {
  background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
  font-size: 1em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  min-height: 100vh;
}

p {
  width: 100%;
  font-size: 1em;
  margin: 1em 0;
}

select {
  color: var(--graphite);
  font-size: .8em;
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  padding: .25em 1em;
  margin: 1em;
}

.acc-type {
  width: 100%;
}

.acc-type select {
  font-size: 1em;
  width: 100%;
  margin: 0 0 .5em;
}

.wrapper {
  background: var(--chalk-white);
  color: var(--graphite);
  border: var(--chalk-white);
  display: flex;
  flex-direction: column;
  align-items: center;
  width: min(25em, 90vw);
  border-radius: 0.25em;
  box-shadow: 0 0 2em rgba(0, 0, 0, 0.5);
  margin: 0 0 2em;
  padding: 2em;
}

.wrapper form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 {
  font-size: 1.8em;
  text-align: center;
  color: var(--chalk-white);
  margin: 1em 0;
}

h2 {
  font-size: 1.2em;
  text-align: center;
  color: var(--graphite);
  margin: 1em 0;
}

.ib-container {
  display: contents;
}

.input-box {
  width: 100%;
  font-size: 1em;
  background: var(--white);
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  margin: .25em 0;
  padding: .5em 1em;
}

.hidden {
  display: none;
}

.bizinput {
  width: 100%;
  font-size: 1em;
  background: var(--white);
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  margin: .25em 0;
  padding: .5em 1em;
}

.address-wrapper {
  width: 100%;
  background: var(--white);
  border: .5px solid var(--graphite);
  border-radius: 0.2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: .5em 0;
  padding: .5em;
}

.input-address {
  width: 100%;
  font-size: 1em;
  background: transparent;
  border: 0.06em transparent;
  border-radius: 0.2em;
  padding: .5em 1em;
}

hr {
  border-top: 0.01em;
  width: min(18.8em, 75.2vw);
  opacity: 25%;
}

input::placeholder {
  color: rgba(17, 35, 45, 0.65);
  font-size: 0.85em;
  font-weight: 450;
}

input {
  color: var(--graphite);
}

form a {
  color: var(--midnight-blue);
  font-weight: 600;
  text-decoration: none;
}

form a:hover {
  color: var(--deepsea-blue);
  cursor: pointer;
  text-decoration: underline;
}

label {
  font-size: .9em;
  margin: .5em 0 0 0;
  width: 100%;
}

li {
  margin: .5em 3em;
}

.info-box {
  width: 100%;
  color: var(--graphite);
  background: var(--white);
  font-size: .9em;
  border: .5px solid var(--graphite);
  border-radius: .2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1em;
  margin: .5em 0;
}

.btn {
  width: 100%;
  margin: .5em 0;
  cursor: pointer;
  font-size: 1em;
  background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
  color: var(--gold);
  border: 0.06em solid rgba(5, 5, 5, 0.05);
  border-radius: 0.2em;
  padding: .5em;
}

.btn:hover {
  background: var(--accent-yellow);
  color: var(--black);
  transition: .1s;
}

.btn-b {
  width: 100%;
  margin: .5em 0;
  cursor: pointer;
  font-size: 1em;
  background: transparent;
  color: var(--graphite);
  border: 1px solid rgb(5, 5, 5, 0.5);
  border-radius: 0.2em;
  padding: .5em;
  transition: 0.2ms;
}

.btn-b:hover {
  background: var(--chalk-white);
  color: var(--black);
}

/* Message Handling */
.error-message {
  color: var(--black);
  background: rgb(255, 192, 192);
  text-align: center;
  width: 100%;
  border: transparent;
  border-radius: .2em;
  padding: .5em;
}

.success-message {
  color: var(--black);
  background: rgba(185, 255, 202, 1);
  text-align: center;
  width: 100%;
  border: transparent;
  border-radius: .2em;
  padding: .5em;
}

/* FOOTER */
footer {
  color: var(--white);
  background: var(--deepsea-blue);
  padding: 2em;
  font-size: 0.8em;
  bottom: 0;
}

.footer {
  font-size: .8em;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2em;
}

.footer a {
  color: var(--chalk-white);
  font-weight: 700;
}

.footer a:hover {
  text-decoration: underline;
}